diff --git a/src/fakewww.c b/src/fakewww.c
index ecbef7e..93b8202 100644
--- a/src/fakewww.c
+++ b/src/fakewww.c
@@ -21,7 +21,6 @@
 #include <arpa/inet.h>
 #include <netdb.h>
 #include <signal.h>
-#include <unistd.h>
 #include <time.h>
 #include <string.h>
 #include <errno.h>
@@ -29,12 +28,12 @@
 #define SYSLOG_NAMES
 #include  <syslog.h>
 
-#include "usage.h"
-#include "troute.h"
-#include "tr-tree.h"
-#include "network.h"
-#include "logging.h"
-#include "web100-admin.h"
+#include "./usage.h"
+#include "./troute.h"
+#include "./tr-tree.h"
+#include "./network.h"
+#include "./logging.h"
+#include "./web100-admin.h"
 
 #define LISTEN_PORT            "7123"
 #define AC_TIME_FORMAT  "%d/%b/%Y:%H:%M:%S %z"
@@ -50,35 +49,35 @@ char buff[BUFFSIZE];
 char *MsgOK = "HTTP/1.0 200 OK\r\n\r\n";
 char *MsgNope1 = "HTTP/1.0 404 Not found\r\n\r\n";
 char *MsgNope2 = "<HEAD><TITLE>File Not Found</TITLE></HEAD>\n"
-		"<BODY><H1>The requested file could not be found</H1></BODY>\n";
+"<BODY><H1>The requested file could not be found</H1></BODY>\n";
 
 char *MsgRedir1 = "HTTP/1.0 307 Temporary Redirect\r\n";
 char *MsgRedir2 = "Location: ";
 char *MsgRedir3 = "\r\n\r\n";
 char *MsgRedir4 = "<HTML><TITLE>FLM server Redirect Page</TITLE>\n"
-		"  <BODY>\n    <meta http-equiv=\"refresh\" content=\"2; ";
+"  <BODY>\n    <meta http-equiv=\"refresh\" content=\"2; ";
 char *MsgRedir5 =
-		"\">\n\n<h2>FLM server re-direction page</h2>\n"
-				"<p><font size=\"+2\">Your client is being redirected to the 'closest' FLM server "
-				"for configuration testing.\n <a ";
+"\">\n\n<h2>FLM server re-direction page</h2>\n"
+"<p><font size=\"+2\">Your client is being redirected to the 'closest' FLM "
+"server for configuration testing.\n <a ";
 char *MsgRedir6 = ">Click Here  </a> if you are not "
-		"automatically redirected in the next 2 seconds.\n  "
-		"</font></BODY>\n</HTML>";
+"automatically redirected in the next 2 seconds.\n  "
+"</font></BODY>\n</HTML>";
 
 char *Mypagefile = "/tcpbw100.html"; /* we throw the slash away */
 char *okfile[] = { "/tcpbw100.html", "/Tcpbw100.class", "/Tcpbw100$1.class",
-		"/Tcpbw100$clsFrame.class", "/Tcpbw100.jar", "/copyright.html",
-		"/web100variables.html", "/"ADMINFILE, "/Admin.class", "/tr.sh",
-		"/traceroute.pl", "/Tcpbw100$MyTextPane.class",
-		"/Tcpbw100$Protocol.class", "/Tcpbw100$StatusPanel.class",
-		"/Tcpbw100$3.class", "/Tcpbw100$OsfwWorker.class",
-		"/Tcpbw100$Message.class", "/Tcpbw100$StatusPanel$1.class",
-		"/Tcpbw100$clsFrame$1.class", "/Tcpbw100$TestWorker.class",
-		"/crossdomain.xml", 0 };
+  "/Tcpbw100$clsFrame.class", "/Tcpbw100.jar", "/copyright.html",
+  "/web100variables.html", "/"ADMINFILE, "/Admin.class", "/tr.sh",
+  "/traceroute.pl", "/Tcpbw100$MyTextPane.class",
+  "/Tcpbw100$Protocol.class", "/Tcpbw100$StatusPanel.class",
+  "/Tcpbw100$3.class", "/Tcpbw100$OsfwWorker.class",
+  "/Tcpbw100$Message.class", "/Tcpbw100$StatusPanel$1.class",
+  "/Tcpbw100$clsFrame$1.class", "/Tcpbw100$TestWorker.class",
+  "/crossdomain.xml", 0 };
 
 typedef struct allowed {
-	char* filename;
-	struct allowed *next;
+  char* filename;
+  struct allowed *next;
 } Allowed;
 
 Allowed* a_root = NULL;
@@ -97,18 +96,18 @@ char *SysLogFacility = NULL;
 int syslogfacility = LOG_FACILITY;
 char *ProcessName = { "fakewww" };
 
-static struct option long_options[] = { { "debug", 0, 0, 'd' }, { "help", 0, 0,
-		'h' }, { "alog", 1, 0, 'l' }, { "elog", 1, 0, 'e' },
-		{ "port", 1, 0, 'p' }, { "ttl", 1, 0, 't' }, { "federated", 0, 0, 'F' },
-		{ "file", 1, 0, 'f' }, { "basedir", 1, 0, 'b' },
-		{ "syslog", 0, 0, 's' }, { "logfacility", 1, 0, 'S' }, { "version", 0,
-				0, 'v' }, { "dflttree", 1, 0, 301 },
+static struct option long_options[] = {
+  { "debug", 0, 0, 'd' }, { "help", 0, 0, 'h' }, { "alog", 1, 0, 'l' },
+  { "elog", 1, 0, 'e' }, { "port", 1, 0, 'p' }, { "ttl", 1, 0, 't' },
+  { "federated", 0, 0, 'F' }, { "file", 1, 0, 'f' }, { "basedir", 1, 0, 'b' },
+  { "syslog", 0, 0, 's' }, { "logfacility", 1, 0, 'S' },
+  { "version", 0, 0, 'v' }, { "dflttree", 1, 0, 301 },
 #ifdef AF_INET6
-		{	"dflttree6", 1, 0, 302},
-		{	"ipv4", 0, 0, '4'},
-		{	"ipv6", 0, 0, '6'},
+  { "dflttree6", 1, 0, 302},
+  { "ipv4", 0, 0, '4'},
+  { "ipv6", 0, 0, '6'},
 #endif
-		{ 0, 0, 0, 0 } };
+  { 0, 0, 0, 0 } };
 
 void dowww(int, I2Addr, char*, char*, char*, int, int);
 void reap();
@@ -117,27 +116,27 @@ void logErLog(char*, time_t*, char*, char*, ...);
 void logAcLog(char*, time_t*, char*, char*, int, int, char*, char*);
 
 void err_sys(char* s) {
-	perror(s);
-	exit(1);
+  perror(s);
+  exit(1);
 }
 
 int main(int argc, char** argv) {
-	int c;
-	int sockfd, newsockfd;
-	int federated = 0, debug = 0, max_ttl = 10;
-	time_t tt;
-	socklen_t clilen;
-	char* srcname = NULL;
-	char* listenport = LISTEN_PORT;
-	int conn_options = 0;
-
-	char *ErLogFileName = BASEDIR
-	"/"ERLOGFILE;
-	char *AcLogFileName = BASEDIR
-	"/"ACLOGFILE;
-	struct sockaddr_storage cli_addr;
-	I2Addr listenaddr = NULL;
-	Allowed* ptr;
+  int c;
+  int sockfd, newsockfd;
+  int federated = 0, debug = 0, max_ttl = 10;
+  time_t tt;
+  socklen_t clilen;
+  char* srcname = NULL;
+  char* listenport = LISTEN_PORT;
+  int conn_options = 0;
+
+  char *ErLogFileName = BASEDIR
+      "/"ERLOGFILE;
+  char *AcLogFileName = BASEDIR
+      "/"ACLOGFILE;
+  struct sockaddr_storage cli_addr;
+  I2Addr listenaddr = NULL;
+  Allowed* ptr;
 
 #ifdef AF_INET6
 #define GETOPT_LONG_INET6(x) "46"x
@@ -145,190 +144,189 @@ int main(int argc, char** argv) {
 #define GETOPT_LONG_INET6(x) x
 #endif
 
-	while ((c = getopt_long(argc, argv,
-			GETOPT_LONG_INET6("dhl:e:p:t:Ff:b:sS:v"), long_options, 0)) != -1) {
-		switch (c) {
-		case '4':
-			conn_options |= OPT_IPV4_ONLY;
-			break;
-		case '6':
-			conn_options |= OPT_IPV6_ONLY;
-			break;
-		case 'd':
-			debug++;
-			break;
-		case 'h':
-			www_long_usage("ANL/Internet2 NDT version " VERSION " (fakewww)");
-			break;
-		case 'v':
-			printf("ANL/Internet2 NDT version %s (fakewww)\n", VERSION);
-			exit(0);
-			break;
-		case 'l':
-			AcLogFileName = optarg;
-			break;
-		case 'e':
-			ErLogFileName = optarg;
-			break;
-		case 'p':
-			listenport = optarg;
-			break;
-		case 't':
-			max_ttl = atoi(optarg);
-			break;
-		case 'F':
-			federated = 1;
-			break;
-		case 'f':
-			ptr = malloc(sizeof(Allowed));
-			ptr->filename = optarg;
-			ptr->next = a_root;
-			a_root = ptr;
-			break;
-		case 'b':
-			basedir = optarg;
-			break;
-		case 's':
-			usesyslog = 1;
-			break;
-		case 'S':
-			SysLogFacility = optarg;
-			break;
-		case 301:
-			DefaultTree = optarg;
-			break;
+  while ((c = getopt_long(argc, argv, GETOPT_LONG_INET6("dhl:e:p:t:Ff:b:sS:v"),
+                          long_options, 0)) != -1) {
+    switch (c) {
+      case '4':
+        conn_options |= OPT_IPV4_ONLY;
+        break;
+      case '6':
+        conn_options |= OPT_IPV6_ONLY;
+        break;
+      case 'd':
+        debug++;
+        break;
+      case 'h':
+        www_long_usage("ANL/Internet2 NDT version " VERSION " (fakewww)");
+        break;
+      case 'v':
+        printf("ANL/Internet2 NDT version %s (fakewww)\n", VERSION);
+        exit(0);
+        break;
+      case 'l':
+        AcLogFileName = optarg;
+        break;
+      case 'e':
+        ErLogFileName = optarg;
+        break;
+      case 'p':
+        listenport = optarg;
+        break;
+      case 't':
+        max_ttl = atoi(optarg);
+        break;
+      case 'F':
+        federated = 1;
+        break;
+      case 'f':
+        ptr = malloc(sizeof(Allowed));
+        ptr->filename = optarg;
+        ptr->next = a_root;
+        a_root = ptr;
+        break;
+      case 'b':
+        basedir = optarg;
+        break;
+      case 's':
+        usesyslog = 1;
+        break;
+      case 'S':
+        SysLogFacility = optarg;
+        break;
+      case 301:
+        DefaultTree = optarg;
+        break;
 #ifdef AF_INET6
-			case 302:
-			DefaultTree6 = optarg;
-			break;
+      case 302:
+        DefaultTree6 = optarg;
+        break;
 #endif
-		case '?':
-			short_usage(argv[0], "");
-			break;
-		}
-	}
-
-	if (optind < argc) {
-		short_usage(argv[0], "Unrecognized non-option elements");
-	}
-
-	log_init(argv[0], debug);
-
-	if (SysLogFacility != NULL) {
-		int i = 0;
-		while (facilitynames[i].c_name) {
-			if (strcmp(facilitynames[i].c_name, SysLogFacility) == 0) {
-				syslogfacility = facilitynames[i].c_val;
-				break;
-			}
-			++i;
-		}
-		if (facilitynames[i].c_name == NULL) {
-			log_println(
-					0,
-					"Warning: Unknown syslog facility [%s] --> using default (%d)",
-					SysLogFacility, syslogfacility);
-			SysLogFacility = NULL;
-		}
-	}
-
-	if (DefaultTree == NULL) {
-		snprintf(dtfn, sizeof(dtfn), "%s/%s", BASEDIR, DFLT_TREE);
-		DefaultTree = dtfn;
-	}
+      case '?':
+        short_usage(argv[0], "");
+        break;
+    }
+  }
+
+  if (optind < argc) {
+    short_usage(argv[0], "Unrecognized non-option elements");
+  }
+
+  log_init(argv[0], debug);
+
+  if (SysLogFacility != NULL) {
+    int i = 0;
+    while (facilitynames[i].c_name) {
+      if (strcmp(facilitynames[i].c_name, SysLogFacility) == 0) {
+        syslogfacility = facilitynames[i].c_val;
+        break;
+      }
+      ++i;
+    }
+    if (facilitynames[i].c_name == NULL) {
+      log_println(
+          0,
+          "Warning: Unknown syslog facility [%s] --> using default (%d)",
+          SysLogFacility, syslogfacility);
+      SysLogFacility = NULL;
+    }
+  }
+
+  if (DefaultTree == NULL) {
+    snprintf(dtfn, sizeof(dtfn), "%s/%s", BASEDIR, DFLT_TREE);
+    DefaultTree = dtfn;
+  }
 
 #ifdef AF_INET6
-	if (DefaultTree6 == NULL) {
-		snprintf(dt6fn, sizeof(dtfn), "%s/%s", BASEDIR, DFLT_TREE6);
-		DefaultTree6 = dt6fn;
-	}
+  if (DefaultTree6 == NULL) {
+    snprintf(dt6fn, sizeof(dtfn), "%s/%s", BASEDIR, DFLT_TREE6);
+    DefaultTree6 = dt6fn;
+  }
 #endif
 
-	/*
-	 * Bind our local address so that the client can send to us.
-	 */
-	if (srcname && !(listenaddr = I2AddrByNode(get_errhandle(), srcname))) {
-		err_sys("server: Invalid source address specified");
-	}
-	if ((listenaddr = CreateListenSocket(listenaddr, listenport, conn_options,
-			0)) == NULL) {
-		err_sys("server: CreateListenSocket failed");
-	}
-	sockfd = I2AddrFD(listenaddr);
-
-	tt = time(0);
-	log_println(1, "%15.15s fakewww server started (NDT version %s)",
-			ctime(&tt) + 4, VERSION);
-	log_println(1, "\tport = %d", I2AddrPort(listenaddr));
-	log_println(1, "\tfederated mode = %s", (federated == 1) ? "on" : "off");
-	log_println(1, "\taccess log = %s\n\terror log = %s", AcLogFileName,
-			ErLogFileName);
-	log_println(1, "\tbasedir = %s", basedir);
-	if (usesyslog) {
-		log_println(1, "\tsyslog facility = %s (%d)",
-				SysLogFacility ? SysLogFacility : "default", syslogfacility);
-	}
-	log_println(1, "\tdebug level set to %d", debug);
-
-	logErLog(ErLogFileName, &tt, "notice",
-			"fakewww server started (NDT version %s)", VERSION);
-	logErLog(ErLogFileName, &tt, "notice", "\tport = %d",
-			I2AddrPort(listenaddr));
-	logErLog(ErLogFileName, &tt, "notice", "\tfederated mode = %s",
-			(federated == 1) ? "on" : "off");
-	logErLog(ErLogFileName, &tt, "notice", "\taccess log = %s", AcLogFileName);
-	logErLog(ErLogFileName, &tt, "notice", "\terror log = %s", ErLogFileName);
-	logErLog(ErLogFileName, &tt, "notice", "\tbasedir = %s", basedir);
-	if (usesyslog) {
-		logErLog(ErLogFileName, &tt, "notice", "\tsyslog facility = %s (%d)",
-				SysLogFacility ? SysLogFacility : "default", syslogfacility);
-	}
-	logErLog(ErLogFileName, &tt, "notice", "\tdebug level set to %d", debug);
-
-	if (usesyslog == 1)
-		syslog(LOG_FACILITY | LOG_INFO, "Fakewww (ver %s) process started",
-				VERSION);
-	signal(SIGCHLD, reap); /* get rid of zombies */
-
-	/*
-	 * Wait for a connection from a client process.
-	 * This is an example of a concurrent server.
-	 */
-
-	for (;;) {
-		clilen = sizeof(cli_addr);
-		newsockfd = accept(sockfd, (struct sockaddr *) &cli_addr, &clilen);
-		if (newsockfd < 0) {
-			if (errno == EINTR)
-				continue; /*sig child */
-			err_sys("Fakewww server: accept error");
-		}
-
-		if (fork() == 0) { /* child */
-			I2Addr caddr = I2AddrBySAddr(get_errhandle(),
-					(struct sockaddr *) &cli_addr, clilen, 0, 0);
-			alarm(300); /* kill child off after 5 minutes, should never happen */
-			close(sockfd);
-			dowww(newsockfd, caddr, listenport, AcLogFileName, ErLogFileName,
-					federated, max_ttl);
-			exit(0);
-		}
-		close(newsockfd);
-	}
-
+  /*
+   * Bind our local address so that the client can send to us.
+   */
+  if (srcname && !(listenaddr = I2AddrByNode(get_errhandle(), srcname))) {
+    err_sys("server: Invalid source address specified");
+  }
+  if ((listenaddr = CreateListenSocket(listenaddr, listenport, conn_options,
+                                       0)) == NULL) {
+    err_sys("server: CreateListenSocket failed");
+  }
+  sockfd = I2AddrFD(listenaddr);
+
+  tt = time(0);
+  log_println(1, "%15.15s fakewww server started (NDT version %s)",
+              ctime(&tt) + 4, VERSION);
+  log_println(1, "\tport = %d", I2AddrPort(listenaddr));
+  log_println(1, "\tfederated mode = %s", (federated == 1) ? "on" : "off");
+  log_println(1, "\taccess log = %s\n\terror log = %s", AcLogFileName,
+              ErLogFileName);
+  log_println(1, "\tbasedir = %s", basedir);
+  if (usesyslog) {
+    log_println(1, "\tsyslog facility = %s (%d)",
+                SysLogFacility ? SysLogFacility : "default", syslogfacility);
+  }
+  log_println(1, "\tdebug level set to %d", debug);
+
+  logErLog(ErLogFileName, &tt, "notice",
+           "fakewww server started (NDT version %s)", VERSION);
+  logErLog(ErLogFileName, &tt, "notice", "\tport = %d",
+           I2AddrPort(listenaddr));
+  logErLog(ErLogFileName, &tt, "notice", "\tfederated mode = %s",
+           (federated == 1) ? "on" : "off");
+  logErLog(ErLogFileName, &tt, "notice", "\taccess log = %s", AcLogFileName);
+  logErLog(ErLogFileName, &tt, "notice", "\terror log = %s", ErLogFileName);
+  logErLog(ErLogFileName, &tt, "notice", "\tbasedir = %s", basedir);
+  if (usesyslog) {
+    logErLog(ErLogFileName, &tt, "notice", "\tsyslog facility = %s (%d)",
+             SysLogFacility ? SysLogFacility : "default", syslogfacility);
+  }
+  logErLog(ErLogFileName, &tt, "notice", "\tdebug level set to %d", debug);
+
+  if (usesyslog == 1)
+    syslog(LOG_FACILITY | LOG_INFO, "Fakewww (ver %s) process started",
+           VERSION);
+  signal(SIGCHLD, reap); /* get rid of zombies */
+
+  /*
+   * Wait for a connection from a client process.
+   * This is an example of a concurrent server.
+   */
+
+  for (;;) {
+    clilen = sizeof(cli_addr);
+    newsockfd = accept(sockfd, (struct sockaddr *) &cli_addr, &clilen);
+    if (newsockfd < 0) {
+      if (errno == EINTR)
+        continue; /*sig child */
+      err_sys("Fakewww server: accept error");
+    }
+
+    if (fork() == 0) { /* child */
+      I2Addr caddr = I2AddrBySAddr(get_errhandle(),
+                                   (struct sockaddr *) &cli_addr, clilen, 0, 0);
+      alarm(300); /* kill child off after 5 minutes, should never happen */
+      close(sockfd);
+      dowww(newsockfd, caddr, listenport, AcLogFileName, ErLogFileName,
+            federated, max_ttl);
+      exit(0);
+    }
+    close(newsockfd);
+  }
 }
 
 #include        <sys/wait.h>
 void reap(int signo) {
-	/*
-	 * avoid zombies, since we run forever
-	 * Use the wait3() system call with the WNOHANG option.
-	 */
-	int pid;
-	union wait status;
-
-	while ((pid = wait3(&status, WNOHANG, (struct rusage *) 0)) > 0)
-		;
+  /*
+   * avoid zombies, since we run forever
+   * Use the wait3() system call with the WNOHANG option.
+   */
+  int pid;
+  union wait status;
+
+  while ((pid = wait3(&status, WNOHANG, (struct rusage *) 0)) > 0) {
+  }
 }
 
 /*
